onClipEvent(enterFrame){
   _rotation = angle * 180 / 3.141592653589793;
   _root.track._x = track_x;
   _root.track._y = track_y;
   UD = Key.isDown(38) - Key.isDown(40);
   LR = Key.isDown(39) - Key.isDown(37);
   HAND = Key.isDown(32);
   if(LR)
   {
      angle += LR * steer * adjust(Math.Abs(speed),steer_threshold,MAXSpd);
      if(maxturnskid < speed)
      {
         if(!turnskidding)
         {
            setLastpos();
         }
         turnskidding = skid(HAND);
      }
      else
      {
         turnskidding = false;
      }
   }
   else
   {
      turnskidding = false;
   }
   if(!UD)
   {
      speed *= drift;
   }
   else if(UD & !HAND)
   {
      speed = Math.min(Math.max(speed + UD * accel,MINspd),MAXspd);
   }
   if(Math.abs(speed) < accel / 2)
   {
      speed = 0;
   }
   if(HAND)
   {
      speed *= handbrake;
      if(MAXskiddisplay < speed)
      {
         steer = steer_handbrake;
         if(!skidding)
         {
            setLastpos();
         }
         skidding = skid(HAND);
      }
      traction = handbrake_traction / surface;
   }
   else
   {
      skidding = false;
      traction = Math.max(traction_max,Math.abs((speed - MAXturnSpd) / surface));
      steer = steer_normal;
   }
   if(speed < 0)
   {
      traction = 1;
   }
   if(!_root.track.track.hittest(_X,_Y,true))
   {
      speed *= 0.95;
      traction *= 1.2;
   }
   if(_root.track.rough.hittest(_X,_Y,true))
   {
      speed *= 0.9;
      traction *= 0.95;
   }
   else if(_root.track.slick.hittest(_X,_Y,true))
   {
      speed *= 1.1;
   }
   else if(_root.track.water.hittest(_X,_Y,true))
   {
      traction *= 4;
   }
   var frontpos = new Array();
   var i = 0;
   while(i < this.displaywheels)
   {
      this.frontpos[i] = getPos(this["f" + i]);
      i++;
   }
   if(_root.track.crunchers.hittest(frontpos[0].x,frontpos[0].y,true) & !collide || _root.track.crunchers.hittest(frontpos[1].x,frontpos[1].y,true) & !collide)
   {
      speed = (- speed) * bounceback;
      vector[0] = - vector[0];
      vector[1] = - vector[1];
      collide = true;
   }
   else if(_root.track.otherGuy.hittest(frontpos[0].x,frontpos[0].y,true) & !collide || _root.track.otherGuy.hittest(frontpos[1].x,frontpos[1].y,true) & !collide)
   {
      speed = (- speed) * bounceback;
      vector[0] = - vector[0];
      vector[1] = - vector[1];
      collide = true;
   }
   else
   {
      collide = false;
   }
   track_x += vector[0] += (Math.cos(angle) * speed - vector[0]) / traction;
   track_y += vector[1] += (Math.sin(angle) * speed - vector[1]) / traction;
   _root.timer = displaytime(myTimer.getMili());
   _root.speedHand._rotation = Math.max(-11,Math.Abs(speed * 8.5));
   if(_root.track.check1.hittest(_X,_Y,true))
   {
      checkpoints[1] = true;
      _root.track.check1.gotoAndPlay(5);
   }
   if(_root.track.check2.hittest(_X,_Y,true))
   {
      checkpoints[2] = true;
      _root.track.check2.gotoAndPlay(5);
   }
   if(_root.track.check3.hittest(_X,_Y,true))
   {
      checkpoints[3] = true;
      _root.track.check3.gotoAndPlay(5);
   }
   if(_root.track.check4.hittest(_X,_Y,true))
   {
      checkpoints[4] = true;
      _root.track.check4.gotoAndPlay(5);
   }
   if(_root.track.check5.hittest(_X,_Y,true))
   {
      checkpoints[5] = true;
      _root.track.check5.gotoAndPlay(5);
   }
   if(_root.track.check6.hittest(_X,_Y,true))
   {
      checkpoints[6] = true;
      _root.track.check6.gotoAndPlay(5);
   }
   if(_root.track.check7.hittest(_X,_Y,true))
   {
      checkpoints[7] = true;
      _root.track.check7.gotoAndPlay(5);
   }
   if(_root.track.check0.hittest(_X,_Y,true))
   {
      if(checkpoints[1] & checkpoints[2] & checkpoints[3] & checkpoints[4] & checkpoints[5] & checkpoints[6] & checkpoints[7])
      {
         _root.lapDisplay.play();
         lap++;
         _root.yourTimer.nextFrame();
         if(lap == 1)
         {
            laptimesC[1] = myTimer.getMili();
            _root.lap1 = displaytime(laptimesC[1]);
         }
         else if(lap == 2)
         {
            laptimesC[2] = myTimer.getMili() - laptimesC[1];
            _root.lap2 = displaytime(laptimesC[2]);
         }
         else if(lap == 3)
         {
            laptimesC[3] = myTimer.getMili() - laptimesC[2] - laptimesC[1];
            _root.lap3 = displaytime(laptimesC[3]);
         }
         i = 0;
         while(checks >= i)
         {
            checkpoints[i] = false;
            i++;
         }
         if(lap >= laps)
         {
            mytimer.stop();
            _root.racetimer = myTimer.getMili();
            _root.bestlaptime = Math.min(laptimesC[1],Math.min(laptimesC[2],laptimesC[3]));
            if(laptimesC[2] < laptimesC[1] && laptimesC[3] < laptimesC[1])
            {
               _root.bestLapNumC = 1;
            }
            else if(laptimesC[1] < laptimesC[2] && laptimesC[3] < laptimesC[2])
            {
               _root.bestLapNumC = 2;
            }
            else if(laptimesC[1] < laptimesC[3] && laptimesC[2] < laptimesC[3])
            {
               _root.bestLapNumC = 3;
            }
            _root.nextFrame();
         }
      }
   }
}
